
package edu.mit.ll.fuse.examples.camel;

import org.apache.camel.Processor;
import org.apache.camel.Exchange;
import org.apache.camel.Message;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.util.Iterator;
import java.util.Map;

import org.apache.xmlbeans.XmlObject;

import edu.mit.ll.fuse.examples.camel.simpleService.*;


/**
 *  Camel processor that prints messages as strings
 */
public class SimpleService 
{
  String _name = "noname";
  
  /**
   *  Set the name of the SimpleService instance. The name is used to
   *  distinguish between multiple instances when using this sample 
   *  class to demonstrate multicast or choice-type routes 
   */
  public void setName( String name )
  {
    _name = name;
  }


  //public void getCapabilities( XmlObject obj )
  public GetCapabilitiesResponseDocument getCapabilities( GetCapabilitiesRequestDocument doc )
  {
    // Print out all the headers associated with the message
    System.out.println("getCapabilities: Entered");
    
    GetCapabilitiesRequestType req = doc.getGetCapabilitiesRequest();

    System.out.println("dummyParameter: " + req.getDummyParameter() );

    GetCapabilitiesResponseDocument responseDoc = 
      GetCapabilitiesResponseDocument.Factory.newInstance();

    GetCapabilitiesResponseType response =
      responseDoc.addNewGetCapabilitiesResponse();
  
    response.setDummyParameter("GetCapabilitiesResponseDummyValue");
    
    return responseDoc;

  }

  public GetMetadataResponseDocument getMetadata( GetMetadataRequestDocument doc )
  {
    // Print out all the headers associated with the message
    System.out.println("getMetadata: Entered");

    GetMetadataRequestType req = doc.getGetMetadataRequest();

    System.out.println("dummyParameter: " + req.getDummyParameter() );

    GetMetadataResponseDocument responseDoc = 
      GetMetadataResponseDocument.Factory.newInstance();

    GetMetadataResponseType response =
      responseDoc.addNewGetMetadataResponse();
  
    response.setDummyParameter("GetMetadataResponseDummyValue");
    
    return responseDoc;

  }

}



